#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
	FILE *fin = fopen("recnik.in", "r");
	long s;
	fscanf(fin, "%d", &s);
	fclose(fin);
	srand(s);
	FILE *fout = fopen("recnik.out", "w");
	for (long i=0; i<s; i++) {
		if (rand()%2 == 1) fprintf(fout, "dvosmislen\n");
		else fprintf(fout, "nedvosmislen\n");
	}
	fclose(fout);
}
